Subject: Re: bug#38384: (next|previous)-buffer silent about not switching

From: martin rudalics <[email-masked]>
Date: Tue, 26 Nov 2019 18:00:39 +0100

> After a cursory glance, I find only one instance of (next-buffer) called
 > from elisp in our sources, and it's in mode-line-next-buffer.  And in that
 > case, clicking on the buffer name in the modeline and getting a message "no
 > next buffer" seems like an improvement to me over the silent treatment ;-)

Right again.  The same holds for 'mode-line-previous-buffer'.

martin